GALLEON(8)

NAME
galleon - provisions and maintains JBoss software such as Wildfly instances

SYNOPSIS
galleon [-args]

DESCRIPTION
The galleon utility downloads modules to assemble and install a JBoss Wildfly instance. galleon can be controlled with command line arguments, absent which it will enter an interactive mode.

EXAMPLES
To install the standalone (non-clustered) version of Wildfly:

    # galleon install wildfly:current --dir=/var/wildfly --default-configs=standalone/standalone.xml

To update the installation later:

    # galleon update --dir=/var/wildfly

SEE ALSO
There is a guide to using galleon to install Wildfly at https://docs.wildfly.org/32/Galleon_Guide.html. There is built-in help in the interactive mode. Finally there is extensive documentation on galleon in general in /usr/local/share/doc/galleon/index.html